<?php           

defined('C5_EXECUTE') or die(_("Access Denied."));

class SkybluesofaSocialSharePackage extends Package {

	protected $pkgHandle = 'skybluesofa_social_share';
	protected $appVersionRequired = '5.4';
	protected $pkgVersion = '1.6.0.6.1';
	
	public function getPackageDescription() {
		return t("Allow your site visitors to connect with you and share your content on social networks.");
	}
	
	public function getPackageName() {
		return t("Social Share");
	}
	
	public function install() {
		$pkg = parent::install();
		
		// install block
		if (!BlockType::getByHandle('skybluesofa_social_connect')) {	
			BlockType::installBlockTypeFromPackage('skybluesofa_social_connect', $pkg);
		}		
		if (!BlockType::getByHandle('skybluesofa_social_share')) {	
			BlockType::installBlockTypeFromPackage('skybluesofa_social_share', $pkg);
		}		
	}
	public function upgrade() {
		parent::upgrade();
		$pkg = $this->getByID($this->getPackageID());
		
		// install block		
			if (!BlockType::getByHandle('skybluesofa_social_connect')) {	
			BlockType::installBlockTypeFromPackage('skybluesofa_social_connect', $pkg);
		}		
		if (!BlockType::getByHandle('skybluesofa_social_share')) {	
			BlockType::installBlockTypeFromPackage('skybluesofa_social_share', $pkg);
		}		
	}
}
